Subject: bug#44098: closed (Closed by 41170)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 Nov 2020 16:13:02 +0000

Your bug report

#43448: [freecad-0.18.4] Compilation failed

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43448: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43448
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Closed by 41170
From: John Soo <[email-masked]>
To: [email-masked]
Date: Fri, 13 Nov 2020 08:12:28 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Subject: [freecad-0.18.4] Compilation failed
From: Ekaitz Zarraga <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 20 Oct 2020 14:23:53 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I had errors compiling freecad.

I'm in this commit of guix:
6ea61b4818b355cab66e4f0931ce0314368e4abb

Errors are not clear in the build output.
I've found error messages around the following issues:

- In configure step: mpi.h, shiboken2, pyside2 and pysidetools2 are not found
- The pyside related errors produce some error later in compilation step: /gnu/store/pwcp239kjf7lnj5i4lkdzcfcxwcfyk72-bash-minimal-5.0.16/bin/sh: PYSIDE2RCCBINARY-NOTFOUND: command not found

I can't see the real reason for the compilation to stop because the log messages are huge and mixed.

Can you reproduce the issues?

Thanks,
Ekaitz